curl "https://api.hitler.app/api/tasks?status=open" \
-H "Authorization: Bearer YOUR_TOKEN"
[
{
"id": "task-uuid-1",
"title": "Review Q4 budget proposal",
"description": null,
"priority": 2,
"status": "open",
"dueDate": "2024-01-20T17:00:00.000Z",
"createdAt": "2024-01-15T10:35:00.000Z"
},
{
"id": "task-uuid-2",
"title": "Prepare meeting notes",
"description": "For the client call on Wednesday",
"priority": 3,
"status": "open",
"dueDate": null,
"createdAt": "2024-01-14T09:00:00.000Z"
}
]
Get tasks for the authenticated user
curl "https://api.hitler.app/api/tasks?status=open" \
-H "Authorization: Bearer YOUR_TOKEN"
[
{
"id": "task-uuid-1",
"title": "Review Q4 budget proposal",
"description": null,
"priority": 2,
"status": "open",
"dueDate": "2024-01-20T17:00:00.000Z",
"createdAt": "2024-01-15T10:35:00.000Z"
},
{
"id": "task-uuid-2",
"title": "Prepare meeting notes",
"description": "For the client call on Wednesday",
"priority": 3,
"status": "open",
"dueDate": null,
"createdAt": "2024-01-14T09:00:00.000Z"
}
]
open, in_progress, completed, cancelledcurl "https://api.hitler.app/api/tasks?status=open" \
-H "Authorization: Bearer YOUR_TOKEN"
[
{
"id": "task-uuid-1",
"title": "Review Q4 budget proposal",
"description": null,
"priority": 2,
"status": "open",
"dueDate": "2024-01-20T17:00:00.000Z",
"createdAt": "2024-01-15T10:35:00.000Z"
},
{
"id": "task-uuid-2",
"title": "Prepare meeting notes",
"description": "For the client call on Wednesday",
"priority": 3,
"status": "open",
"dueDate": null,
"createdAt": "2024-01-14T09:00:00.000Z"
}
]